UITableViewUITableView08-22 01:37

解决-打开eclipse时出现“Failed to load the JNI shared library”的问题

JDK与eclipse版本不兼容,会出现"Failed to load the JNI shared library"这个问题,一般是eclipse和JDK的版本(32bit/64bit)不同造成的。

JDK (x86 32bit,x86_64 64bit)

Eclipse(x86 32bit,x86_64 64bit)

在命令行中查看JDK是多少bit?输入java -version ,一般显示64bit的就是64bit为JDK,未显示的一般为32bit的JDK

查看eclipse是多少bit?进入eclipse的安装目录,以文本文件格式打开eclipse.ini,找到--launcher.library下面的一行,

如果显示的是win32.x86则表明eclipse是32bit的,如果显示的win32.x86_64,则是64bit的。


解决这种问题有两种:

一是重新安装JDK;

二是重新安装eclipse。

因为重新安装JDK需要配置环境变量,所以选择重新安装eclipse;关键是jdk与eclipse的版本(32bit/64bit)要对应。


进入eclipse官网,选择“Eclipse IDE for Java Developer”,->选择相应的位数即可,这里选择下载64bit的eclipse


程序之家二维码

000
评论